VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Cis::Tagging::CategoryModel Class Reference
Inheritance diagram for Com::Vmware::Cis::Tagging::CategoryModel:

## Classes
class | Cardinality

## Avaliable Methods
public method | set_cardinality ()
public method | set_description ()
public method | get_id ()
public method | set_associable_types ()
public method | set_name ()
public method | set_id ()
public method | get_cardinality ()
public method | get_used_by ()
public method | get_description ()
public method | set_used_by ()
public method | get_associable_types ()
public method | new ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Cis::Tagging::CategoryModel` class defines a category that is used to group one or more tags.

## Member Function Documentation

public method Com::Vmware::Cis::Tagging::CategoryModel::get_associable_types | ( |  | ) |

Gets the value of 'associable_types' property.

Return values

  associable_types | - The current value of the field. The types of objects that the tags in this category can be attached to. If the set is empty, then tags can be attached to all types of objects. This field works only for objects that reside in Inventory Service (IS). For non IS objects, this check is not performed today and hence a tag can be attached to any non IS object. Set#

Code:
click to view
# Number of lines of code in get_associable_types: 4
sub get_associable_types {
my ($self, %args) = @_;
return $self->{'associable_types'};
}

public method Com::Vmware::Cis::Tagging::CategoryModel::get_cardinality | ( |  | ) |

Gets the value of 'cardinality' property.

Return values

  cardinality | - The current value of the field. The associated cardinality (SINGLE, MULTIPLE) of the category. Cardinality#

Code:
click to view
# Number of lines of code in get_cardinality: 4
sub get_cardinality {
my ($self, %args) = @_;
return $self->{'cardinality'};
}

public method Com::Vmware::Cis::Tagging::CategoryModel::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. The description of the category. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Cis::Tagging::CategoryModel::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. The unique identifier of the category. ID#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Cis::Tagging::CategoryModel::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The display name of the category. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Cis::Tagging::CategoryModel::get_used_by | ( |  | ) |

Gets the value of 'used_by' property.

Return values

  used_by | - The current value of the field. The set of users that can use this category. To add users to this, you need to have the edit privilege on the category. Similarly, to unsubscribe from this category, you need the edit privilege on the category. You should not modify other users subscription from this set . Set#

Code:
click to view
# Number of lines of code in get_used_by: 4
sub get_used_by {
my ($self, %args) = @_;
return $self->{'used_by'};
}

public method Com::Vmware::Cis::Tagging::CategoryModel::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Cis::Tagging::CategoryModel structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{name} = $args{'name'};
$self->{description} = $args{'description'};
$self->{cardinality} = $args{'cardinality'};
$self->{associable_types} = $args{'associable_types'};
$self->{used_by} = $args{'used_by'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Cis::Tagging::CategoryModel');
$self->set_binding_name('name' => 'com.vmware.cis.tagging.category_model');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'cardinality', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Cis::Tagging', 'type_name' => 'CategoryModel::Cardinality'));
$self->set_binding_field('key' => 'associable_types', 'value' => new Com::Vmware::Vapi::Bindings::Type::SetType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'used_by', 'value' => new Com::Vmware::Vapi::Bindings::Type::SetType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
bless $self, $class;
return $self;
}

public method Com::Vmware::Cis::Tagging::CategoryModel::set_associable_types | ( |  | ) |

Sets the given value for 'associable_types' property.

Parameters

  associable_types | - New value for the field. The types of objects that the tags in this category can be attached to. If the set is empty, then tags can be attached to all types of objects. This field works only for objects that reside in Inventory Service (IS). For non IS objects, this check is not performed today and hence a tag can be attached to any non IS object.

Code:
click to view
# Number of lines of code in set_associable_types: 5
sub set_associable_types {
my ($self, %args) = @_;
$self->{'associable_types'} = $args{'associable_types'};
return;
}

public method Com::Vmware::Cis::Tagging::CategoryModel::set_cardinality | ( |  | ) |

Sets the given value for 'cardinality' property.

Parameters

  cardinality | - New value for the field. The associated cardinality (SINGLE, MULTIPLE) of the category.

Code:
click to view
# Number of lines of code in set_cardinality: 5
sub set_cardinality {
my ($self, %args) = @_;
$self->{'cardinality'} = $args{'cardinality'};
return;
}

public method Com::Vmware::Cis::Tagging::CategoryModel::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. The description of the category.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Cis::Tagging::CategoryModel::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. The unique identifier of the category.

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Cis::Tagging::CategoryModel::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The display name of the category.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Cis::Tagging::CategoryModel::set_used_by | ( |  | ) |

Sets the given value for 'used_by' property.

Parameters

  used_by | - New value for the field. The set of users that can use this category. To add users to this, you need to have the edit privilege on the category. Similarly, to unsubscribe from this category, you need the edit privilege on the category. You should not modify other users subscription from this set .

Code:
click to view
# Number of lines of code in set_used_by: 5
sub set_used_by {
my ($self, %args) = @_;
$self->{'used_by'} = $args{'used_by'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Cis/Tagging/CategoryModel.pm